module Divide2Minute(	Clock,		// Clock Signal
			Reset,		// Power-up Reset
			Minute		// Goes high for one cycle once per minute
		);

	input		Clock, Reset;
	output		Minute;

	reg	[30:0]	Count;

	// Note that we're assuming a 27MHz clock...
	// assign	Minute =				(Count == 31'd1619999999);

	// Use a more "reasonable" number to allow simulation to run...
	assign	Minute =				(Count == 31'd3);

	always @ (posedge Clock) begin
		if (Reset | Minute) Count <=		31'd0;
		else Count <=				Count + 1;
	end
endmodule