module MinuteCount(	Clock,		// Clock Signal
			Reset,		// Power-up Reset
			Enable,		// Count a minute
			Minute,		// The current minute
			Rollover	// Goes high when we're about to roll over
		);

	input		Clock, Reset, Enable;
	output	[5:0]	Minute;
	output		Rollover;

	reg	[5:0]	Minute;

	assign	Rollover =				(Minute == 6'd59);

	always @ (posedge Clock) begin
		if (Reset) Minute <=			6'd0;
		else if (Enable) begin
			if (Rollover) Minute <=		6'd0;
			else Minute <=			Minute + 1;
		end
	end
endmodule