module SnoozeDelay(	Clock,		// Clock Signal
			Reset,		// Power-up Reset
			Set,		// Start the snooze delay
			Enable,		// Count a minute
			Done		// Goes high when the delay has run out
		);

	input		Clock, Reset, Set, Enable;
	output		Done;

	reg	[2:0]	Count;

	assign	Done =					(~|Count);

	always @ (posedge Clock) begin
		if (Reset) Count <=			3'h0;
		else if (Set) Count <=			3'h5;
		else if (Enable & ~Done) Count <=	Count - 1;
	end
endmodule