`timescale 1 ns/1 ns
`define half_cycle27 18.5

module Testbench;

	reg		Clock, Reset;
	reg		SetHour, SetMinute;
	reg		AlarmMode, AlarmOn;
	reg		Snooze;

	wire	[4:0]	DisplayHour;
	wire	[5:0]	DisplayMinute;
	wire		AlarmSounding;

	AlarmClock	CUT(	.Clock(		Clock),
				.Reset(		Reset),
				.SetHour(	SetHour),
				.SetMinute(	SetMinute),
				.AlarmMode(	AlarmMode),
				.AlarmOn(	AlarmOn),
				.Snooze(	Snooze),
				.DisplayHour(	DisplayHour),
				.DisplayMinute(	DisplayMinute),
				.AlarmSounding(	AlarmSounding));

	always #(`half_cycle27) Clock = ~Clock;

	initial begin
		Clock =				1'b0;
		Reset =				1'b1;
		SetHour =			1'b0;
		SetMinute =			1'b0;
		AlarmMode =			1'b0;
		AlarmOn =			1'b0;
		Snooze =			1'b0;

		#(`half_cycle27 * 2);
		Reset =				1'b0;
		SetHour =			1'b1;
		#(`half_cycle27 * 34);
		SetHour =			1'b0;
		SetMinute =			1'b1;
		#(`half_cycle27 * 208);
		SetMinute =			1'b0;
		#(`half_cycle27 * 2);
		AlarmMode =			1'b1;
		#(`half_cycle27 * 2);
		SetHour =			1'b1;
		#(`half_cycle27 * 38);
		SetHour =			1'b0;
		SetMinute =			1'b1;
		#(`half_cycle27 * 2);
		SetMinute =			1'b0;
		AlarmOn =			1'b1;
		#(`half_cycle27 * 84);
		Snooze =			1'b1;
		#(`half_cycle27 * 2);
		Snooze =			1'b0;
	end
endmodule